Package com.independentsoft.office.charts

# Class DisplayUnits

java.lang.Object
com.independentsoft.office.charts.DisplayUnits

public class DisplayUnits extends Object
The Class DisplayUnits.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DisplayUnits()`
  Instantiates a new display units.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DisplayUnits`
  `clone()`
  `double`
  `getCustomUnit()`
  Gets the custom unit.
  `ExtensionList`
  `getExtensionList()`
  Gets the extension list (`c:extLst`).
  `DisplayUnitsLabel`
  `getLabel()`
  Gets the label.
  `BuiltInUnit`
  `getUnit()`
  Gets the unit.
  `void`
  `setCustomUnit​(double customUnit)`
  Sets the custom unit.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the extension list (`c:extLst`).
  `void`
  `setLabel​(DisplayUnitsLabel label)`
  Sets the label.
  `void`
  `setUnit​(BuiltInUnit unit)`
  Sets the unit.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DisplayUnits

    public DisplayUnits()
    Instantiates a new display units.

- ## Method Details

  - ### clone

    public DisplayUnits clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the extension list (`c:extLst`).
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the extension list (`c:extLst`).
    Parameters:
      `extensionList` - the new extension list

  - ### getUnit

    public BuiltInUnit getUnit()
    Gets the unit.
    Returns:
      the unit

  - ### setUnit

    public void setUnit​(BuiltInUnit unit)
    Sets the unit.
    Parameters:
      `unit` - the new unit

  - ### getCustomUnit

    public double getCustomUnit()
    Gets the custom unit.
    Returns:
      the custom unit

  - ### setCustomUnit

    public void setCustomUnit​(double customUnit)
    Sets the custom unit.
    Parameters:
      `customUnit` - the new custom unit

  - ### getLabel

    public DisplayUnitsLabel getLabel()
    Gets the label.
    Returns:
      the label

  - ### setLabel

    public void setLabel​(DisplayUnitsLabel label)
    Sets the label.
    Parameters:
      `label` - the new label